### Method

# EDataServer Client unwrap_dbus_error

deprecated: 3.8 since: 3.2

#### Declaration [src]

    void
    e_client_unwrap_dbus_error (
      EClient* client,
      GError* dbus_error,
      GError** error
    )

#### Description [src]

Unwraps D-Bus error to local error. `dbus_error` is automatically freed. `dbus_erorr` and `out_error` can point to the same variable.

Available since: 3.2

Deprecated since: 3.8

Use `g_dbus_error_strip_remote_error()` instead.

#### Parameters

`dbus_error`

  Type: `GError`

  A `GError` returned bu D-Bus.

  The data is owned by the caller of the method.

`error`

  Type: `GError **`

  The return location for a recoverable error.

  The argument can be `NULL`.
  If the return location is not `NULL`, then you must initialize it to a `NULL` `GError*`.
  The argument will be left initialized to `NULL` by the method if there are no errors.
  In case of error, the argument will be set to a newly allocated `GError`; the caller will take ownership of the data, and be responsible for freeing it.